syntax = "proto3";
option go_package = ".;pb";

message UserInfo {
  string uid = 1;     //用户id
  string name = 2;    //昵称
  string avatar = 12; // 头像
}

//月之秘境
message DBMoonFantasy {
  string id = 1;                 //@go_tags(`bson:"_id"`) ID
  string uid = 2;                //用户id
  string monster = 3;            //怪物id
  int64 ctime = 4;               //创建时间
  repeated UserInfo join = 5;    //参与人数
  int32 numup = 6;               //人数上限
  int32 unitmup = 7;             //单人可挑战次数
  map<string, int32> record = 8; //挑战记录
}

//用户参与的月之秘境列表
message DBUserMFantasy {
  string id = 1;                 //@go_tags(`bson:"_id"`) ID
  string uid = 2;                //用户id
  repeated string mfantasys = 3; //月之秘境列表
  int32 triggerNum = 4; //@go_tags(`bson:"triggerNum"`)   月之秘境触发次数
  int32 battleNum = 5; //@go_tags(`bson:"battleNum"`)   月之秘境挑战次数
  int32 buyNum = 6;    //@go_tags(`bson:"buyNum"`)   月之秘境挑战次数
  int64 lastTrigger = 7; //@go_tags(`bson:"lastTrigger"`)  月之秘境最后触发时间
}